CONFIG +=			release \
					warn_on \
					qt \
					thread \
					c++11

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		ballbarviewerd
} else {
	TARGET =		ballbarviewer
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					opengl

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

SOURCES +=			../core/graphwidget.cpp \
					../core/mat4.cpp \
					../core/messagebox.cpp \
					../core/openglgeometryfactory.cpp \
					../core/openglvertexbuffer.cpp \
					../core/openglwidget.cpp \
					../core/vector2.cpp \
					../core/vector3.cpp \
					src/ballbarpattern.cpp \
					src/ballbarviewer.cpp \
					src/main.cpp \
					src/measurementwidget.cpp \
					src/opengldisplay.cpp \
					src/opengldisplaywidget.cpp \
					src/tolerancewidget.cpp \
					src/tolerancehelpdialog.cpp

HEADERS +=			../core/graphwidget.h \
					../core/mat4.h \
					../core/messagebox.h \
					../core/openglgeometryfactory.h \
					../core/openglshaders.h \
					../core/openglvertexbuffer.h \
					../core/openglwidget.h \
					../core/vector2.h \
					../core/vector3.h \
					src/ballbarpattern.h \
					src/ballbarviewer.h \
					src/measurementwidget.h \
					src/opengldisplay.h \
					src/opengldisplaywidget.h \
					src/tolerancewidget.h \
					src/tolerancehelpdialog.h

RESOURCES +=		res/ballbarviewer.qrc

macx{

ICON =				res/icons.icns

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/ballbarviewer
}
target.path =		$$PREFIX
target.files =		bin/ballbarviewer
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/ballbarviewer
}

win32 {
RC_FILE =			res/resource.rc
}
