/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef MEASUREMENTDOCKHEADERFILE
#define MEASUREMENTDOCKHEADERFILE

#include <QWidget>

#include "../../core/vector3.h"

class QLabel;
class QLineEdit;

class TMeasurementWidget : public QWidget
{
	Q_OBJECT
	
public:
	// CREATORS
	TMeasurementWidget(const QWidget *parent=0,Qt::WindowFlags flags=Qt::WindowFlags());
	~TMeasurementWidget(void);
	
	// ACCESSORS

	// MANIPULATORS
	void Enable_Display(const bool state);
	
	void Set_Position_Name(const QString &name);
	void Set_Length(const double &length);
	void Set_Mean_Deviation(const double &deviation);
	void Set_Median_Deviation(const double &deviation);
	void Set_Sphere1(const TVector3 &pos,const double &form);
	void Set_Sphere2(const TVector3 &pos,const double &form);
	void Set_Probe(const TVector3 &vec);

signals:

private slots:

private:
	
	QLineEdit							*d_position_edit;
	QLineEdit							*d_length_edit;
	QLineEdit							*d_deviation_mean_edit;
	QLineEdit							*d_deviation_median_edit;
	QLineEdit							*d_probe_x_edit;
	QLineEdit							*d_probe_y_edit;
	QLineEdit							*d_probe_z_edit;
	QLineEdit							*d_sph1_y_edit;
	QLineEdit							*d_sph1_z_edit;
	QLineEdit							*d_sph1_x_edit;
	QLineEdit							*d_sph1_form_edit;
	QLineEdit							*d_sph2_form_edit;
	QLineEdit							*d_sph2_z_edit;
	QLineEdit							*d_sph2_x_edit;
	QLineEdit							*d_sph2_y_edit;
	
	// NOT IMPLEMENTED
	TMeasurementWidget(const TMeasurementWidget&);
	TMeasurementWidget& operator=(const TMeasurementWidget&);
};

#endif
